import request from '@/utils/request'

// 查询aiSIP外呼大模型列表
export function listAiSipCallLlmAgentAccount(query) {
  return request({
    url: '/company/aiSipCall/llmAgentAccount/list',
    method: 'get',
    params: query
  })
}

// 查询aiSIP外呼大模型详细
export function getAiSipCallLlmAgentAccount(id) {
  return request({
    url: '/company/aiSipCall/llmAgentAccount/' + id,
    method: 'get'
  })
}

// 新增aiSIP外呼大模型
export function addAiSipCallLlmAgentAccount(data) {
  return request({
    url: '/company/aiSipCall/llmAgentAccount',
    method: 'post',
    data: data
  })
}

// 修改aiSIP外呼大模型
export function updateAiSipCallLlmAgentAccount(data) {
  return request({
    url: '/company/aiSipCall/llmAgentAccount',
    method: 'put',
    data: data
  })
}

// 删除aiSIP外呼大模型
export function delAiSipCalllLlmAgentAccount(id) {
  return request({
    url: '/company/aiSipCall/llmAgentAccount/' + id,
    method: 'delete'
  })
}

// 导出aiSIP外呼大模型
export function exportAiSipCallLlmAgentAccount(query) {
  return request({
    url: '/company/aiSipCall/llmAgentAccount/export',
    method: 'get',
    params: query
  })
}
